Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_new
Class Operation

    java.lang.Object
      org.deegree.owscommon_new.Operation

    public class Operation

extends Object

`Operation` stores the contents of an Operation element according to the OWS common specification version 1.0.0.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`Operation(QualifiedName name, List<DCP> dcpList, List<Parameter> parameters, List<DomainType> constraints, Object metadata, String description)` Standard constructor that initializes all encapsulated data.

Method Summary
`DomainType` | `getConstraint(QualifiedName name)`
`List<DomainType>` | `getConstraints()`
`List<DCP>` | `getDCP()`
`String` | `getDescription()`
`Object` | `getMetadata()`
`QualifiedName` | `getName()`
`Parameter` | `getParameter(QualifiedName name)`
`List<Parameter>` | `getParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operation

    public Operation(QualifiedName name,
                     List<DCP> dcpList,
                     List<Parameter> parameters,
                     List<DomainType> constraints,
                     Object metadata,
                     String description)

  Standard constructor that initializes all encapsulated data.

  Parameters:
    `name` -
    `dcpList` -
    `parameters` -
    `constraints` -
    `metadata` -
    `description` -

Method Detail

### getConstraints

    public List<DomainType> getConstraints()

  Returns:
    Returns the constraints.

### getDCP

    public List<DCP> getDCP()

  Returns:
    Returns the dCP.

### getDescription

    public String getDescription()

  Returns:
    Returns the description.

### getMetadata

    public Object getMetadata()

  Returns:
    Returns the metadata.

### getParameters

    public List<Parameter> getParameters()

  Returns:
    Returns the parameters.

### getConstraint

    public DomainType getConstraint(QualifiedName name)

  Parameters:
    `name` -
  Returns:
    the `DomainType` with the specified name or null, if there is no constraint with that name.

### getParameter

    public Parameter getParameter(QualifiedName name)

  Parameters:
    `name` -
  Returns:
    the `Parameter` with the specified name or null, if there is no parameter with that name. This method only tests Parameters that are `DomainType`s.

### getName

    public QualifiedName getName()

  Returns:
    Returns the name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org